/**
 * Breadcrumb (component)
 * Event component used in
 * - views-view-list--events.html.twig
 */

.events {
  position: relative;
}
.events::before {
  position: absolute;
  content: '';
  height: 100%;
  max-height: 160px;
  left: 0;
  right: 0;
  top: 0;
  background-color: var(--color-primary--6);
  z-index: -1;
}
.events-wrapper {
  margin-bottom: 4rem;
}
.events .card--dark .card__content {
  background-color: var(--color-primary--6);
}
.events-month {
  margin-bottom: 1.5rem;
}
.events-month span {
  font-family: 'Raleway';
  font-weight: 800;
  font-size: 3rem;
  display: flex;
  flex-direction: column;
  gap: 1rem;
  text-transform: capitalize;
  color: var(--color-primary--1)
}
.events-month span::before {
  content: '';
  width: 40px;
  height: 4px;
  background-color: var(--color-secondary--3);
}
@media all and (min-width: 750px) {
  .events-row {
    display: grid;
    grid-template-columns: 23% 77%;
  }
  .events-month {
    margin-bottom: 0;
  }
  .events .card-wrapper--3 {
    grid-template-columns: repeat(2, 1fr);
  }
}
@media all and (min-width: 1000px) {
  .events .card-wrapper--3 {
    grid-template-columns: repeat(3, 1fr);
  }
}


/* Override Page Mallard */

.block-views-blockevents-block-2 .events::before {
  content: unset;
}

.events-header--mallard {
  margin-bottom: 2rem;
}

.events-title--mallard {
  font-size: 4rem;
}

.events-header--mallard p {
  color: var(--color-primary--1);
}

@media all and (min-width: 1200px) {
  .events-title--mallard {
    font-size: 4rem;
  }
}
